QwtPlotPanner(3)

NAME
QwtPlotPanner -

SYNOPSIS

#include <qwt_plot_panner.h>

Inherits QwtPanner.

  Public Member Functions
QwtPlotPanner (QwtPlotCanvas *)
virtual ~QwtPlotPanner ()
QwtPlotCanvas * canvas ()
const QwtPlotCanvas * canvas () const
bool isAxisEnabled (int axis) const
QwtPlot * plot ()
const QwtPlot * plot () const
void setAxisEnabled (int axis, bool on)

  Protected Slots
virtual void moveCanvas (int dx, int dy)

  Additional Inherited Members

Detailed Description

QwtPlotPanner provides panning of a plot canvas. QwtPlotPanner is a panner for a QwtPlotCanvas, that adjusts the scales of the axes after dropping the canvas on its new position.

Together with QwtPlotZoomer and QwtPlotMagnifier powerful ways of navigating on a QwtPlot widget can be implemented easily.

Note:
    The axes are not updated, while dragging the canvas

See also:
    QwtPlotZoomer, QwtPlotMagnifier

Constructor & Destructor Documentation

  QwtPlotPanner::QwtPlotPanner (QwtPlotCanvas *canvas) [explicit]

Create a plot panner. The panner is enabled for all axes

Parameters:
    canvas Plot canvas to pan, also the parent object

See also:
    setAxisEnabled()

Member Function Documentation

  bool QwtPlotPanner::isAxisEnabled (intaxis) const
Test if an axis is enabled

Parameters:
    axis Axis, see QwtPlot::Axis

Returns:
    True, if the axis is enabled

See also:
    setAxisEnabled(), moveCanvas()

  void QwtPlotPanner::moveCanvas (intdx, intdy) [protected], [virtual], [slot]
Adjust the enabled axes according to dx/dy

Parameters:
    dx Pixel offset in x direction
    dy Pixel offset in y direction

See also:
    QwtPanner::panned()

  void QwtPlotPanner::setAxisEnabled (intaxis, boolon)

En/Disable an axis. Axes that are enabled will be synchronized to the result of panning. All other axes will remain unchanged.

Parameters:
    axis Axis, see QwtPlot::Axis
    on On/Off

See also:
    isAxisEnabled(), moveCanvas()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.